﻿using ProtoBuf;
using Protocols.gm;
using System;
using System.Collections.Generic;
using System.Linq;
using Utility;

namespace GameLib
{
    /// <summary>
    /// 游戏常量
    /// </summary>
    public class GameConst
    {
        /// <summary>
        /// 修改昵称货币
        /// </summary>
        public const double ChangeNameGT = 100;

        /// <summary>
        /// 官方客服号列表
        /// </summary>
        public static List<UInt64> KeFuRoleIds = new List<UInt64> { };

       
        /// <summary>
        /// GT流水每页数量
        /// </summary>
        public const int GoldChangeEventsPageCount = 50;

        public const string NtfMsgStreamProvider = "NtfMsg";
        public const string NtfMsgStreamNameSpace = "Happy";
        public const string PlayerMsg = "PlayerMsg";
        public static Guid NtfMsgStreamId = Guid.Parse("49a7b15f-8fac-4765-9cda-68ac4031127e");
        public const string ClusterId = "dev";
        public const string ServiceId = "AdventureApp";

        /// <summary>
        /// 游戏货币单位(后端)
        /// </summary>
        public const string CurrencyStr = "金币";
    };
}
